Suche im Forum



Unsere Magazine

Lieber Besucher, herzlich willkommen bei: Forum zur Ahnenforschung . Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

1

Mittwoch, 28. Januar 2015, 15:34

Sicherheitslücke in libc glibc (Linux)

Hallo zusammen,

es geistert mal wieder eine Sicherheitslücke in Linux-Betriebssystemen durch die Gegend.

Es betrifft das Modul libc und nur die Rechenknechte, die über das Internet erreichbar sind.

So könnt Ihr feststellen, ob Ihr betroffen seid:

Quellcode

1
dpkg -l | grep libc6


Bei mir kommt als Ausgabe:

Quellcode

1
2
3
4
5
6
7
ii  libc6:amd64                                       	2.19-0ubuntu6.5                                 	amd64    	Embedded GNU C Library: Shared libraries
ii  libc6:i386                                        	2.19-0ubuntu6.5                                 	i386     	Embedded GNU C Library: Shared libraries
ii  libc6-armel-cross                                 	2.19-0ubuntu2cross1.104                         	all      	Embedded GNU C Library: Shared libraries (for cross-compiling)
ii  libc6-dbg:amd64                                   	2.19-0ubuntu6.5                                 	amd64    	Embedded GNU C Library: detached debugging symbols
ii  libc6-dev:amd64                                   	2.19-0ubuntu6.5                                 	amd64    	Embedded GNU C Library: Development Libraries and Header Files
ii  libc6-dev-armel-cross                             	2.19-0ubuntu2cross1.104                         	all      	Embedded GNU C Library: Development Libraries and Header Files (for cross-compiling)
ii  libc6-i386                                        	2.19-0ubuntu6.5                                 	amd64    	Embedded GNU C Library: 32-bit shared libraries for AMD64


Kommen hier Versionen von 2.18 und höher: Entwarnung!

Ansonsten hilft nur warten, bis für Eure Linux-Distribution ein Update von libc6 angeboten wird.

Wer mehr wissen will, kann hier nachlesen:

http://www.golem.de/news/glibc-ein-geist…501-111976.html

Beste Grüße

Andreas